com.io7m.jpra.compiler.core.checker

## Enum JPRACheckerErrorCode

- java.lang.Object
- - java.lang.Enum<JPRACheckerErrorCode>
  - - com.io7m.jpra.compiler.core.checker.JPRACheckerErrorCode

- All Implemented Interfaces:
    Serializable, Comparable<JPRACheckerErrorCode>

      public enum JPRACheckerErrorCode
      extends Enum<JPRACheckerErrorCode>

  Type checker error codes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOLEAN_SET_SIZE_INVALID` An invalid boolean set size was specified.
    `BOOLEAN_SET_SIZE_TOO_SMALL` Not enough space was allocated to hold all of the fields in a boolean set.
    `MATRIX_NON_SCALAR_TYPE` A non-scalar type was specified as the type of `matrix` elements.
    `MATRIX_SIZE_FLOAT_UNSUPPORTED` An unsupported `float` size was specified as a `vector` element.
    `MATRIX_SIZE_INTEGER_UNSUPPORTED` An unsupported `integer` size was specified as a `vector` element.
    `MATRIX_SIZE_UNSUPPORTED` An unsupported `matrix` size was specified.
    `PACKED_NON_INTEGER` A non-`integer` type was specified as a field of a `packed` type.
    `PACKED_SIZE_NOT_SUPPORTED` A `packed` type size is not supported.
    `PADDING_SIZE_INVALID` An invalid padding size was specified.
    `RECORD_FLOAT_SIZE_UNSUPPORTED` The specified `float` size is not supported when being used as a record field.
    `RECORD_INTEGER_SIZE_UNSUPPORTED` The specified `integer` size is not supported when being used as a record field.
    `STRING_ENCODING_UNSUPPORTED` An unsupported string encoding was specified.
    `VECTOR_NON_SCALAR_TYPE` A non-scalar type was specified as the type of `vector` elements.
    `VECTOR_SIZE_FLOAT_UNSUPPORTED` An unsupported `float` size was specified as a `vector` element.
    `VECTOR_SIZE_INTEGER_UNSUPPORTED` An unsupported `integer` size was specified as a `vector` element.
    `VECTOR_SIZE_UNSUPPORTED` An unsupported `vector` size was specified.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JPRACheckerErrorCode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JPRACheckerErrorCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RECORD_FLOAT_SIZE_UNSUPPORTED

          public static final JPRACheckerErrorCode RECORD_FLOAT_SIZE_UNSUPPORTED

      The specified `float` size is not supported when being used as a record field.

    - #### STRING_ENCODING_UNSUPPORTED

          public static final JPRACheckerErrorCode STRING_ENCODING_UNSUPPORTED

      An unsupported string encoding was specified.

    - #### BOOLEAN_SET_SIZE_INVALID

          public static final JPRACheckerErrorCode BOOLEAN_SET_SIZE_INVALID

      An invalid boolean set size was specified.

    - #### BOOLEAN_SET_SIZE_TOO_SMALL

          public static final JPRACheckerErrorCode BOOLEAN_SET_SIZE_TOO_SMALL

      Not enough space was allocated to hold all of the fields in a boolean set.

    - #### VECTOR_SIZE_UNSUPPORTED

          public static final JPRACheckerErrorCode VECTOR_SIZE_UNSUPPORTED

      An unsupported `vector` size was specified.

    - #### VECTOR_NON_SCALAR_TYPE

          public static final JPRACheckerErrorCode VECTOR_NON_SCALAR_TYPE

      A non-scalar type was specified as the type of `vector` elements.

    - #### VECTOR_SIZE_INTEGER_UNSUPPORTED

          public static final JPRACheckerErrorCode VECTOR_SIZE_INTEGER_UNSUPPORTED

      An unsupported `integer` size was specified as a `vector` element.

    - #### VECTOR_SIZE_FLOAT_UNSUPPORTED

          public static final JPRACheckerErrorCode VECTOR_SIZE_FLOAT_UNSUPPORTED

      An unsupported `float` size was specified as a `vector` element.

    - #### MATRIX_SIZE_UNSUPPORTED

          public static final JPRACheckerErrorCode MATRIX_SIZE_UNSUPPORTED

      An unsupported `matrix` size was specified.

    - #### MATRIX_NON_SCALAR_TYPE

          public static final JPRACheckerErrorCode MATRIX_NON_SCALAR_TYPE

      A non-scalar type was specified as the type of `matrix` elements.

    - #### MATRIX_SIZE_INTEGER_UNSUPPORTED

          public static final JPRACheckerErrorCode MATRIX_SIZE_INTEGER_UNSUPPORTED

      An unsupported `integer` size was specified as a `vector` element.

    - #### MATRIX_SIZE_FLOAT_UNSUPPORTED

          public static final JPRACheckerErrorCode MATRIX_SIZE_FLOAT_UNSUPPORTED

      An unsupported `float` size was specified as a `vector` element.

    - #### PADDING_SIZE_INVALID

          public static final JPRACheckerErrorCode PADDING_SIZE_INVALID

      An invalid padding size was specified.

    - #### PACKED_NON_INTEGER

          public static final JPRACheckerErrorCode PACKED_NON_INTEGER

      A non-`integer` type was specified as a field of a `packed` type.

    - #### PACKED_SIZE_NOT_SUPPORTED

          public static final JPRACheckerErrorCode PACKED_SIZE_NOT_SUPPORTED

      A `packed` type size is not supported.

    - #### RECORD_INTEGER_SIZE_UNSUPPORTED

          public static final JPRACheckerErrorCode RECORD_INTEGER_SIZE_UNSUPPORTED

      The specified `integer` size is not supported when being used as a record field.

  - ### Method Detail

    - #### values

          public static JPRACheckerErrorCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JPRACheckerErrorCode c : JPRACheckerErrorCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JPRACheckerErrorCode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 <code@io7m.com> http://io7m.com